#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2014  Wojciech Porczyk <wojciech@porczyk.eu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-img-converter
Version:	1.2.18
Release:	1%{dist}
Summary:	The Qubes service for converting untrusted images into trusted ones

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildArch: noarch
BuildRequires:  make
%if 0%{?is_opensuse}
# for directory ownership
BuildRequires: python-nautilus-common-files
BuildRequires: qubes-core-agent
%endif

Requires:	qubes-utils
%if 0%{?is_opensuse}
Requires:   python-nautilus-common-files
%else
Requires:   nautilus-python
%endif
Requires:	python%{python3_pkgversion}-qubesimgconverter

Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for converting untrusted images into trusted ones.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qvm-convert-img
/usr/lib/qubes/qvm-convert-img.gnome
%{_mandir}/man1/qvm-convert-img.1*
/usr/lib/qubes/qimg-convert-client
/usr/share/nautilus-python/extensions/qvm_convert_img_nautilus.py*

%changelog
* Mon Aug 12 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-img-converter.git

* Mon Aug 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7640d94
- version 1.2.18

* Fri Aug 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 127e55d
- rpm: mark packages as noarch

* Sat Jul 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3dfc37c
- version 1.2.17

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3b77fe5
- rpm: adjust dependencies and add BR for directory ownership for openSUSE

* Fri Sep 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b45b79
- version 1.2.16

* Fri Sep 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df70451
- archlinux: support builderv2 too

* Thu Apr 06 2023 Alexander Paetzelt <git@techge.de> - f4a4eb3
- Add archlinux package build file

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ab35aa
- version 1.2.15

* Thu Jan 12 2023 Maja Kądziołka <maya@invisiblethingslab.com> - 9ce78b9
- Refer to the correct name of qvm-convert-pdf

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da68a1f
- version 1.2.14

* Thu Dec 01 2022 noskb <63541981+noskb@users.noreply.github.com> - da8142b
- qvm_convert_img_nautilus.py: Execute external commands asynchronously

* Wed Nov 30 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - 7c613ce
- Replace ImageMagick with GraphicsMagick

* Tue Nov 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f13b894
- version 1.2.13

* Mon Nov 28 2022 noskb <63541981+noskb@users.noreply.github.com> - 8825777
- qvm_convert_img_nautilus.py: adjust to work with Nautilus API 4.0

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f62d5b3
- version 1.2.12

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 86f0485
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f7f498c
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2449e95
- Drop Travis CI

* Sat Oct 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a3e7f5
- version 1.2.11

* Thu May 27 2021 ejose19 <8742215+ejose19@users.noreply.github.com> - bff8093
- fix: add existence check to image file

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af69b30
- version 1.2.10

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b065da9
- Update README based on QubesOS/qubes-app-linux-pdf-converter#18

* Tue May 11 2021 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - 0521a5b
- Corrected accuracy error

* Tue May 11 2021 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - a0406d3
- Created README.md

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fc78d4e
- spec: add BR make

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d43c230
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - db306a6
- Update travis

* Sat Jun 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fddef35
- version 1.2.9

* Mon Jun 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7ce3874
- debian: add python3-qubesimgconverter dependency

* Sat Apr 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19142f0
- version 1.2.8

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3847c43
- travis: update with R4.1 jobs

* Wed Apr 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7d58793
- spec: fix hardcoded python3 prefix for CentOS

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e12947
- version 1.2.7

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1235cad
- Drop Qubes 3.x support

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 415dcbc
- Fix progress reporting in qvm-convert-img-gnome

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8d7cf28
- One more python2->3 shebang change

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - eb923b7
- Use Python 3

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3488b30
- travis: switch to bionic

* Thu Mar 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c6e5c3
- version 1.2.6

* Tue Oct 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63f3494
- travis: update Fedora and Debian versions

* Tue Oct 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cc995cd
- rpm: add R: python2-qubesimgconverter

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3331a88
- debian: don't create orig.tar.gz manually

* Mon May 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1af94c
- version 1.2.5

* Sun May 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a17b98b
- Switch dependencies of dom0 package to Qubes 4.x

* Sun May 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30218d1
- Make qvm-get-image compatible with both Qubes 3 and 4

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - afe2130
- travis: add fc27

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - fbb9295
- spec.in: add changelog placeholder

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 92a3c70
- removed useless check against domains argument in argumentparser

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 01c3d1c
- Replaced print to stderr with parser.error

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 8477dbc
- Fixed qvm-get-tinted-image for Qubes 4

